Update Slack notification settings for an event
curl --request PUT \
--url https://api.eventlink.co/api/v1/dashboard/events/{eventId}/notifications/slack \
--header 'Content-Type: application/json' \
--cookie better-auth.session_token= \
--data '
{
"channelId": "<string>",
"channelName": "<string>",
"notifyNewRsvp": true,
"notifyStatusChanges": true,
"notifyCheckIn": true
}
'import requests
url = "https://api.eventlink.co/api/v1/dashboard/events/{eventId}/notifications/slack"
payload = {
"channelId": "<string>",
"channelName": "<string>",
"notifyNewRsvp": True,
"notifyStatusChanges": True,
"notifyCheckIn": True
}
headers = {
"cookie": "better-auth.session_token=",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {cookie: 'better-auth.session_token=', 'Content-Type': 'application/json'},
body: JSON.stringify({
channelId: '<string>',
channelName: '<string>',
notifyNewRsvp: true,
notifyStatusChanges: true,
notifyCheckIn: true
})
};
fetch('https://api.eventlink.co/api/v1/dashboard/events/{eventId}/notifications/slack', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"connected": true,
"channelId": "<string>",
"channelName": "<string>",
"notifyNewRsvp": true,
"notifyStatusChanges": true,
"notifyCheckIn": true
}{
"error": "<string>",
"status": 123,
"code": "<string>",
"retryAfterSeconds": 123
}{
"error": "<string>",
"status": 123,
"code": "<string>",
"retryAfterSeconds": 123
}{
"error": "<string>",
"status": 123,
"code": "<string>",
"retryAfterSeconds": 123
}dashboard
Update Slack notification settings for an event
PUT
/
api
/
v1
/
dashboard
/
events
/
{eventId}
/
notifications
/
slack
Update Slack notification settings for an event
Authorizations
Better Auth session cookie.
Path Parameters
Body
application/json